﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace DummyWP7App
{
    public partial class WeightUnitsPage : PhoneApplicationPage
    {

        protected override void OnNavigatingFrom(System.Windows.Navigation.NavigatingCancelEventArgs e)
        {
            base.OnNavigatingFrom(e);
            WeightUnitsModel.SaveWeightUnitsModel(App.WeightUnitsModel);
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
        }

        public  WeightUnitsPage()
        {
            InitializeComponent();
            App.WeightUnitsModel.IsForFocusedTextboxes = true;

            this.NumericInputWindowsPhoneControlOUnces.DataContext = App.WeightUnitsModel;
            this.NumericInputWindowsPhoneControlOUnces.KeyUp += new KeyEventHandler(textBoxInputNumeric_KeyUp);
            this.controlTree.Add(NumericInputWindowsPhoneControlOUnces);

            this.NumericInputWindowsPhoneControlPounds.DataContext = App.WeightUnitsModel;
            this.NumericInputWindowsPhoneControlPounds.KeyUp += new KeyEventHandler(textBoxInputNumeric_KeyUp);
            this.controlTree.Add(NumericInputWindowsPhoneControlPounds);

            this.NumericInputWindowsPhoneControlGrams.DataContext = App.WeightUnitsModel;
            this.NumericInputWindowsPhoneControlGrams.KeyUp += new KeyEventHandler(textBoxInputNumeric_KeyUp);
            this.controlTree.Add(NumericInputWindowsPhoneControlGrams);

            this.NumericInputWindowsPhoneControlKiloGrams.DataContext = App.WeightUnitsModel;
            this.NumericInputWindowsPhoneControlKiloGrams.KeyUp += new KeyEventHandler(textBoxInputNumeric_KeyUp);
            this.controlTree.Add(NumericInputWindowsPhoneControlKiloGrams);


        }
        void textBoxInputNumeric_KeyUp(object sender, KeyEventArgs e)
        {
            Controls.NumericInputWindowsPhoneControl control = sender as Controls.NumericInputWindowsPhoneControl;
            if (control != null)
            {
                if (e.Key == Key.Enter)
                {
                    var nextTarget = this.controlTree.Where(p => p.TabOrder > control.TabOrder).FirstOrDefault();
                    if (nextTarget != null)
                        nextTarget.SetFocus();
                    else
                        this.controlTree.First().SetFocus();
                }
            }
        }

        private List<Controls.NumericInputWindowsPhoneControl> controlTree = new List<Controls.NumericInputWindowsPhoneControl>();


    }
}